Bug 183566 - user --init= --root= mkinitrd patch
user --init= --root= mkinitrd patch
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-01 19:37 EST by Jasper O. Hartline
Modified: 2008-07-14 17:08 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-14 17:08:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Flexibility with an initrd's /init or needing to mkinitrd for a filesystem that isn't /. (3.54 KB, patch)
2006-03-01 19:37 EST, Jasper O. Hartline
no flags Details | Diff
Enhancement, adding --bin= functionality to previous patch, allows for installing any specified binary to the initrd (3.81 KB, patch)
2006-03-01 23:06 EST, Jasper O. Hartline
no flags Details | Diff
mkinitrd --init --root --bin patch (3.84 KB, patch)
2006-03-04 10:30 EST, Jasper O. Hartline
no flags Details | Diff

  None (edit)
Description Jasper O. Hartline 2006-03-01 19:37:02 EST
Description of problem:
While using mkinitrd from Fedora development tree, release:
5.0.29-1
does not allow a user to specify an alternate root directory.
mkinitrd also does not allow use of a special /init in the initrd.
One could use thier own init in the event the root filesystem
is located on a non standard device or is of a filesystem format not usable
without special module loading and parameters. (Like a SquashFS image)

A patch is included.

Version-Release number of selected component (if applicable):
5.0.29-1

How reproducible:
Every time.

Steps to Reproduce:
1. None
2.
3.
  
Actual results:
Non-flexibility in the not-so-often case.

Expected results:
Flexibility

Additional info:
A patch is attached. The patch provides the bare minimum functionality for the
options, and have been tested several times for usability.
I believe the can be expanded on also in the future.
Comment 1 Jasper O. Hartline 2006-03-01 19:37:02 EST
Created attachment 125509 [details]
Flexibility with an initrd's /init or needing to mkinitrd for a filesystem that isn't /.
Comment 2 Jasper O. Hartline 2006-03-01 23:06:59 EST
Created attachment 125515 [details]
Enhancement, adding --bin= functionality to previous patch, allows for installing any specified binary to the initrd

In the event there is something you see not proper with the proposed
patches briefly describe the problem if you could so it can be corrected.
Comment 3 Jasper O. Hartline 2006-03-04 10:30:37 EST
Created attachment 125641 [details]
mkinitrd --init --root --bin patch

This patch obsoletes the previous as it didn't support multiple instances of
--bin. This alleviates this. Here is a brief explanation:

--init= option can be specified to produce an initrd with a custom /init.
This option can only be specified once.
--root= option can be used to specify an alternative root for producing an
initrd with a kernel that may not be installed, or is installed on a seperate
rootfs.
This option can only be specified once.
--bin= option can be used to install any binary into the initrd.
This option can be specified as many times as neccessary.

Thanks.
Comment 4 Peter Jones 2008-07-14 17:08:19 EDT
This really isn't something that I'm interested in supporting.

Note You need to log in before you can comment on or make changes to this bug.